complexType "GeneralTerms"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 13 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | effectiveDate?, scheduledTerminationDate?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, dateAdjustments?, (referenceInformation | indexReferenceInformation | basketReferenceInformation)?, additionalTerm*, substitution?, modifiedEquityDelivery?
</...>

Content Model Elements (13):

  additionalTerm, basketReferenceInformation, buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), dateAdjustments (defined in GeneralTerms complexType), effectiveDate (defined in GeneralTerms complexType), indexReferenceInformation, | modifiedEquityDelivery, referenceInformation, scheduledTerminationDate, sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group), substitution

All Direct / Indirect Based Elements (2):

  generalTerms (defined in CreditDefaultSwap complexType),
  generalTerms (defined in LimitedCreditDefaultSwap complexType)

Known Usage Locations

- As direct type of elements (2):
  generalTerms (defined in CreditDefaultSwap complexType),
  generalTerms (defined in LimitedCreditDefaultSwap complexType)

XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="GeneralTerms"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/> <xsd:element minOccurs="0" name="scheduledTerminationDate" type="AdjustableDate2"/> <xsd:group ref="BuyerSeller.model"/> <!--IY: ETTF pretrade IRS and CDS--> <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/> <xsd:choice minOccurs="0"> <xsd:element name="referenceInformation" type="ReferenceInformation"/> <xsd:element name="indexReferenceInformation" type="IndexReferenceInformation"/> <xsd:element name="basketReferenceInformation" type="BasketReferenceInformation"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalTerm" type="AdditionalTerm"/> <xsd:element minOccurs="0" name="substitution" type="xsd:boolean"/> <xsd:element minOccurs="0" name="modifiedEquityDelivery" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/13)
additionalTerm

  Type: | AdditionalTerm, simple content

  This element is used for representing information contained in the Additional Terms field of the 2003 Master Credit Derivatives confirm.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalTerm" type="AdditionalTerm"/>

basketReferenceInformation

  Type: | BasketReferenceInformation, complex content

  This element contains all the terms relevant to defining the Credit Default Swap Basket.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="basketReferenceInformation" type="BasketReferenceInformation"/>

dateAdjustments

  Type: | BusinessDayAdjustments, complex content

  ISDA 2003 Terms: Business Day and Business Day Convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/>

effectiveDate

  Type: | AdjustableDate2, complex content

  The first day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention. ISDA 2003 Term: Effective Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/>

indexReferenceInformation

  Type: | IndexReferenceInformation, complex content

  This element contains all the terms relevant to defining the Credit DefaultSwap Index.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="indexReferenceInformation" type="IndexReferenceInformation"/>

modifiedEquityDelivery

  Type: | xsd:boolean, predefined, simple content

  Value of this element set to 'true' indicates that modified equity delivery is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="modifiedEquityDelivery" type="xsd:boolean"/>

referenceInformation

  Type: | ReferenceInformation, complex content

  This element contains all the terms relevant to defining the reference entity and reference obligation(s).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="referenceInformation" type="ReferenceInformation"/>

scheduledTerminationDate

  Type: | AdjustableDate2, complex content

  The scheduled date on which the credit protection will lapse. This day may be subject to adjustment in accordance with a business day convention. ISDA 2003 Term: Scheduled Termination Date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="scheduledTerminationDate" type="AdjustableDate2"/>

substitution

  Type: | xsd:boolean, predefined, simple content

  Value of this element set to 'true' indicates that substitution is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="substitution" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.